apiVersion: apps/v1
kind: Deployment
metadata:
  name: ci4s-oauth2-authenticator-deployment
  namespace: argo
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ci4s-oauth2-authenticator
  template:
    metadata:
      labels:
        app: ci4s-oauth2-authenticator
    spec:
      containers:
      - name: ci4s-oauth2-authenticator
        image: 172.20.32.187/ci4s/spring-oauth2-authenticator:latest
        env:
        - name: DB_URL
          value: mysql.argo.svc:3306
        - name: DB_USERNAME
          value: root
        - name: DB_PASSWORD
          value: qazxc123456.
        ports:
        - containerPort: 8080
---
apiVersion: v1
kind: Service
metadata:
  name: ci4s-oauth2-authenticator-service
  namespace: argo
spec:
  type: NodePort
  ports:
    - name: http
      port: 8080
      nodePort: 31080
      protocol: TCP
  selector:
    app: ci4s-oauth2-authenticator

